# Function parseKMLSymbol

- parseKMLSymbol(style, geometryType, index): PictureMarkerSymbol | SimpleSymbol

- Parses the style element to generate the appropriate symbol.

  #### Parameters

  - style: Element

    The style element to use for symbol construction.

  - geometryType: GeometryType

    The feature geometry that will be used to determine a default symbol in case there is no style element.

  - index: number

    The index used to alternate symbol colors between features.

  #### Returns PictureMarkerSymbol | SimpleSymbol